package cn.bunny;

import lombok.SneakyThrows;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;

public class FileTest {
    @SneakyThrows
    public static void main(String[] args) {
        String zipFilePath = "D:\\MyFolder\\文档和软件\\图片.zip";
        try (FileInputStream fis = new FileInputStream(zipFilePath);
             ZipInputStream zis = new ZipInputStream(fis)) {

            ZipEntry entry = zis.getNextEntry();
            while (entry != null) {
                System.out.println("正在读取: " + entry.getName());

                // 这里可以添加代码来读取entry的内容
                // 例如，如果entry是一个文件，你可以使用BufferedReader来读取文本文件的内容

                // 读取下一个条目
                entry = zis.getNextEntry();
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        // File file = new File("D:\\MyFolder\\文档和软件\\图片.zip");
        // ZipFile zipFile = new ZipFile(file);
    }
}
